SET AUTOCOMMIT ON;

ALTER TABLE elevation_model DROP CONSTRAINT fk_unit;
ALTER TABLE bed_height_single DROP CONSTRAINT fk_bed_single_river_id;
ALTER TABLE bed_height_single DROP CONSTRAINT fk_type;
ALTER TABLE bed_height_single DROP CONSTRAINT fk_location_system;
ALTER TABLE bed_height_single DROP CONSTRAINT fk_cur_elevation_model;
ALTER TABLE bed_height_single DROP CONSTRAINT fk_old_elevation_model;
ALTER TABLE bed_height_single DROP CONSTRAINT fk_range;
ALTER TABLE bed_height_single_values DROP CONSTRAINT fk_bed_single_values_parent;
ALTER TABLE bed_height_epoch_values DROP CONSTRAINT fk_bed_epoch_values_parent;
ALTER TABLE bed_height_epoch DROP CONSTRAINT fk_epoch_cur_elevation_model;
ALTER TABLE bed_height_epoch DROP CONSTRAINT fk_epoch_old_elevation_model;
ALTER TABLE bed_height_epoch DROP CONSTRAINT fk_epoch_range;
ALTER TABLE depths DROP CONSTRAINT fk_depths_unit_id;
ALTER TABLE sediment_density DROP CONSTRAINT fk_sd_depth_id;
ALTER TABLE sediment_density DROP CONSTRAINT fk_sd_unit_id;
ALTER TABLE sediment_density_values DROP CONSTRAINT fk_sdv_sediment_density_id;
ALTER TABLE morphologic_width DROP CONSTRAINT fk_mw_river_id;
ALTER TABLE morphologic_width DROP CONSTRAINT fk_mw_unit_id;
ALTER TABLE morphologic_width_values DROP CONSTRAINT fk_mwv_morphologic_width_id;
ALTER TABLE flow_velocity_model_values DROP CONSTRAINT fk_fvv_flow_velocity_model_id;
ALTER TABLE flow_velocity_model DROP CONSTRAINT fk_fvm_river_id;
ALTER TABLE flow_velocity_model DROP CONSTRAINT fk_fvm_discharge_zone_id;
ALTER TABLE discharge_zone DROP CONSTRAINT fk_dz_river_id;
ALTER TABLE flow_velocity_measurements DROP CONSTRAINT fk_fvm_rivers_id;
ALTER TABLE flow_velocity_measure_values DROP CONSTRAINT fk_fvmv_measurements_id;
ALTER TABLE grain_fraction DROP CONSTRAINT fk_gf_unit_id;
ALTER TABLE sediment_yield DROP CONSTRAINT fk_sy_grain_fraction_id;
ALTER TABLE sediment_yield DROP CONSTRAINT fk_sy_unit_id;
ALTER TABLE sediment_yield DROP CONSTRAINT fk_sy_time_interval_id;
ALTER TABLE sediment_yield DROP CONSTRAINT fk_sy_river_id;
ALTER TABLE sediment_yield_values DROP CONSTRAINT fk_syv_sediment_yield_id;
ALTER TABLE waterlevel DROP CONSTRAINT fk_w_river_id;
ALTER TABLE waterlevel DROP CONSTRAINT fk_w_unit_id;
ALTER TABLE waterlevel_q_range DROP CONSTRAINT fk_wqr_waterlevel_id;
ALTER TABLE waterlevel_values DROP CONSTRAINT fk_wv_waterlevel_q_range_id;
ALTER TABLE waterlevel_difference DROP CONSTRAINT fk_wd_river_id;
ALTER TABLE waterlevel_difference DROP CONSTRAINT fk_wd_unit_id;
ALTER TABLE waterlevel_difference_column DROP CONSTRAINT fk_wdc_difference_id;
ALTER TABLE waterlevel_difference_values DROP CONSTRAINT fk_wdv_column_id;
ALTER TABLE sq_relation DROP CONSTRAINT fk_sqr_tinterval_id;
ALTER TABLE sq_relation DROP CONSTRAINT fk_sqr_river_id;
ALTER TABLE sq_relation_value DROP CONSTRAINT fk_sqr_id;

DROP TABLE bed_height_type;
DROP TABLE location_system;
DROP TABLE elevation_model;
DROP TABLE bed_height_single;
DROP TABLE bed_height_single_values;
DROP TABLE bed_height_epoch_values;
DROP TABLE bed_height_epoch;
DROP TABLE depths;
DROP TABLE sediment_density;
DROP TABLE sediment_density_values;
DROP TABLE morphologic_width;
DROP TABLE morphologic_width_values;
DROP TABLE discharge_zone;
DROP TABLE flow_velocity_model;
DROP TABLE flow_velocity_model_values;
DROP TABLE flow_velocity_measurements;
DROP TABLE flow_velocity_measure_values;
DROP TABLE grain_fraction;
DROP TABLE sediment_yield;
DROP TABLE sediment_yield_values;
DROP TABLE waterlevel;
DROP TABLE waterlevel_q_range;
DROP TABLE waterlevel_values;
DROP TABLE waterlevel_difference;
DROP TABLE waterlevel_difference_column;
DROP TABLE waterlevel_difference_values;
DROP TABLE sq_relation_value;
DROP TABLE sq_relation;

DROP SEQUENCE BED_HEIGHT_TYPE_SEQ;
DROP SEQUENCE LOCATION_SYSTEM_SEQ;
DROP SEQUENCE ELEVATION_MODEL_SEQ;
DROP SEQUENCE BED_HEIGHT_SINGLE_ID_SEQ;
DROP SEQUENCE BED_SINGLE_VALUES_ID_SEQ;
DROP SEQUENCE BED_EPOCH_VALUES_ID_SEQ;
DROP SEQUENCE BED_HEIGHT_EPOCH_ID_SEQ;
DROP SEQUENCE DEPTHS_ID_SEQ;
DROP SEQUENCE SEDIMENT_DENSITY_ID_SEQ;
DROP SEQUENCE SEDIMENT_DENSITY_VALUES_ID_SEQ;
DROP SEQUENCE MORPHOLOGIC_WIDTH_ID_SEQ;
DROP SEQUENCE MORPH_WIDTH_VALUES_ID_SEQ;
DROP SEQUENCE DISCHARGE_ZONE_ID_SEQ;
DROP SEQUENCE FLOW_VELOCITY_MODEL_ID_SEQ;
DROP SEQUENCE FLOW_VELOCITY_M_VALUES_ID_SEQ;
DROP SEQUENCE FV_MEASURE_ID_SEQ;
DROP SEQUENCE FV_MEASURE_VALUES_ID_SEQ;
DROP SEQUENCE GRAIN_FRACTION_ID_SEQ;
DROP SEQUENCE SEDIMENT_YIELD_ID_SEQ;
DROP SEQUENCE SEDIMENT_YIELD_VALUES_ID_SEQ;
DROP SEQUENCE WATERLEVEL_ID_SEQ;
DROP SEQUENCE WATERLEVEL_Q_RANGES_ID_SEQ;
DROP SEQUENCE WATERLEVEL_VALUES_ID_SEQ;
DROP SEQUENCE WATERLEVEL_DIFFERENCE_ID_SEQ;
DROP SEQUENCE WATERLEVEL_DIFF_COLUMN_ID_SEQ;
DROP SEQUENCE WATERLEVEL_DIFF_VALUES_ID_SEQ;
DROP SEQUENCE SQ_RELATION_ID_SEQ;
DROP SEQUENCE SQ_RELATION_VALUES_ID_SEQ;
